

utility = getUtilityPrice(2016,structure);
firstday = 5;
spot2016 = priceread(2016);
load2016 = loadread(2016,loadnum);

P_bat_opt_ch = (P_bat_opt>0).*P_bat_opt;
P_bat_sdp_ch = (P_bat_sdp>0).*P_bat_sdp;

P_bat_opt_loss = sum(sum(P_bat_opt_ch*(1-0.95^2)));
P_bat_sdp_loss = sum(sum(P_bat_sdp_ch*(1-0.95^2)));

P_bat_opt_ch_sum = sum(sum(P_bat_opt_ch));
P_bat_sdp_ch_sum = sum(sum(P_bat_sdp_ch));

% C_opt_loss = P_bat_opt_loss.*spot2016;
% C_sdp_loss = P_bat_sdp_loss.*spot2016;



if structure == 4
    P_grid_opt_ch = (P_bat_opt>0).*P_grid_opt;
    P_grid_sdp_ch = (P_bat_sdp>0).*P_grid_sdp;
    
    C_opt_tot = billing(P_grid_opt_ch,spot2016,utility,firstday,structure);
    C_sdp_tot = billing(P_grid_sdp_ch,spot2016,utility,firstday,structure);
    
    C_base_opt_tot = billing(load2016.*(P_bat_opt>0),spot2016,utility,firstday,structure);
    C_base_sdp_tot = billing(load2016.*(P_bat_sdp>0),spot2016,utility,firstday,structure);
    
    C_opt_loss_tot = (C_opt_tot - C_base_opt_tot)*(1-0.95^2)^2;
    C_sdp_loss_tot = (C_sdp_tot - C_base_sdp_tot)*(1-0.95^2)^2;
    
else
    C_opt_loss_tot = billing(P_bat_opt_ch*(1-0.95^2),spot2016,utility,firstday,structure);
    C_sdp_loss_tot = billing(P_bat_sdp_ch*(1-0.95^2),spot2016,utility,firstday,structure);
end