function [eff_ch,eff_di,C_bat,P_bat_nom,SOC_max,SOC_min] = batteryData(c_multi,p_multi)

% Numbers from Tesla Powerwall 2: https://www.tesla.com/no_NO/powerwall

eff_ch = 0.95; % = sqrt(0.9)
eff_di = 0.95;
C_bat = 13.5*c_multi; %kWh
P_bat_nom = 7*p_multi; % kW Max

SOC_max = 1; % Based on 100% depth of discharge.
SOC_min = 0;

end