function aggdata = dataAgg(daydata,dayvec)

% This function extracts and combines the desired days from daydata returns
% it as matrix aggdata.

% daydata is a 1x7 cell array containing the daily load data.
% dayvec is a 1xN vector of ints specifying which days that should be
% extracted from daydata and stored in aggdata.

N_days = length(dayvec);
aggdata = daydata{dayvec(1)};

for i = 2:N_days
    
    aggdata = [aggdata ; daydata{dayvec(i)}];
    
end

end