function dayDataSave()

clear

loadnum = 3;

load2013 = loadread(2013,loadnum);
load2014 = loadread(2014,loadnum);
load2015 = loadread(2015,loadnum);
load2016 = loadread(2016,loadnum);

load3 = {load2013, load2014, load2015, load2016};

%% Creating daydata

daydata3 = cell(1,4);

for year = 2013:2016

    daydata3{year-2012} = daydataCreator(load3{year-2012},year);
    
end

%% Initial trans_matrix calculation

% Add all mon-fri data and sat-sun on top of each other
weekdays3 = dataAgg(daydata3{1},[1 2 3 4 5]);   % daydata1{1} is load2013. This line gets all weekdays
weekends3 = dataAgg(daydata3{1},[6 7]);         % This line gets all weekends

for year = 2:4 % 2 and 3 corresponding to 2014 and 2015, respectively

    weekdaytemp = dataAgg(daydata3{year},[1 2 3 4 5]);
    weekendtemp = dataAgg(daydata3{year},[6 7]);
    weekdays3 = [weekdays3 ; weekdaytemp];
    weekends3 = [weekends3 ; weekendtemp];
    
end

save(['data/daydata' num2str(loadnum)]);

end