function daydata = daydataCreator(loaddata,year)

% This function takes in load data and returns a (1x7) cell that containts
% the data from Monday through Sunday in separate matrices inside the cell.
% daydata{1} containts Monday data, daydata{2} Tuesday data, and so on.

%% Variables

firstdayofyear = year-2011;

%% Extracting day data
daydata = cell(1,7);

for day = 1:7

    daydata{day} = dayExtract(loaddata,firstdayofyear,day);
    
end

end
