function vec = mat2vec(mat)
% Converts a matrix with the dimensions (N_days,time_steps_per_day) to a
% row vector.

N_time = size(mat,2);
N_days = size(mat,1);
N_periods = N_time*N_days;

vec = zeros(1,N_periods);
i = 1;

for day = 1:N_days
    for time = 1:N_time
        vec(i) = mat(day,time);
        i = i+1;
    end
end

end