p1 = mat2vec(P_grid_sdp);
p2 = mat2vec(P_grid_opt);

figure('Position',[500 500 600 300])
hold on
grid on
box on

plot(1:8784,p1)
plot(1:8784,p2)

ylimval = [-6 13];
xlim([1 8784])
ylim(ylimval)
xlabel('Hour','fontweight','bold')
ylabel('kWh','fontweight','bold')

legend('P_{grid} SDP', 'P_{grid} DP','location','best')

% txt1 = '\leftarrow Minimum of DP. P_{grid} = 0.2 kWh';
% text(513,0.1785,txt1)
% 
% txt2 = '\leftarrow Minimum of SDP. P_{grid} = -5.8 kWh';
% text(5136,-5.7973,txt2)

annotation('textarrow',[1900 1550]./8784,([-1.5 1]-(ylimval(1)))/(ylimval(2)-ylimval(1)),'String','Minimum of DP');

annotation('textarrow',[4500 5100]./8784,([-2.5 -3.7]-(ylimval(1)))/(ylimval(2)-ylimval(1)),'String','Minimum of SDP');

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/load3str4fullyear','-depsc')