function daydata = dayExtract(data,firstdayofyear,extractday)

% This function extracts the data from the desired day (Mondays,
% Tuesdays, Wednesdays++) and returns it in the matrix daydata.

% Data has the dimensions (days, timesteps_per_day). firstdayofyear and
% extractday is both an integer between 1 and 7.



N_days = size(data,1);
N_time = size(data,2);

daydata = zeros(floor(N_days/7),N_time);

if firstdayofyear <= extractday
    dayit = extractday - firstdayofyear + 1;
else
    dayit = (7-firstdayofyear)+extractday + 1;
end

rowit = 1;

while dayit <= N_days
    
    daydata(rowit,:) = data(dayit,:);
   
    rowit = rowit + 1;
    dayit = dayit + 7;
    
end


end