function ppv = irradiance2prod(irradiance, efficiency, area)
% The input parameter irradiance is a matrix of irradiance data in W/m^2
% Each row corresponds to one day and each column to an hour in that day.

% efficiency = 0.3;
% area = 10;

ppv = irradiance.*efficiency;
ppv = ppv.*area;
ppv = ppv./1000; % Converts to kW

end