function data = loadread(year,loadnum)

filename = ['data/load/' num2str(loadnum) '_' num2str(year) '.xls'];

% Reads Excel-file with filename / path 'filename' (input).
temp = xlsread(filename);
dim = size(temp);

% Removes first column and first row (legends)
data = temp(2:dim(1),2:25);

% Each row in the output corresponds to one day. Each
% column is one hour (1-24)
end