function [P_peak, A, NOCT, tempcoeff, eta_sys, eta_module, eta_total] = pvpanelData()

P_peak = 5.2; % kWp
A = 30; % m^2
NOCT = 47; % Degrees celcius
tempcoeff = -0.43; % %/K
eta_sys = 0.77; % Taking all losses into account. No aging effects. Ref. page 323 in Masters

eta_module = 0.17;
eta_total = eta_module*eta_sys;

end